Bug 569157 - Review Request: detox - Utility to replace problematic characters in file names
Summary: Review Request: detox - Utility to replace problematic characters in file names
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Christoph Wickert
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-02-28 13:26 UTC by Sven Lankes
Modified: 2010-04-09 21:05 UTC (History)
3 users (show)

Fixed In Version: detox-1.2.0-2.fc13
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-04-09 21:05:47 UTC
cwickert: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Sven Lankes 2010-02-28 13:26:30 UTC
Spec URL: http://sven.lank.es/Fedora/SPECS/detox.spec
SRPM URL: http://sven.lank.es/Fedora/SRPM/detox-1.2.0-1.fc13.src.rpm
Description: Detox is a utility designed to clean up file names. It replaces difficult to work with characters, such as spaces, with standard equivalents. It will also clean up file names with UTF-8 or Latin-1 (or CP-1252) characters in them.

Comment 1 Christoph Wickert 2010-02-28 15:42:23 UTC
OK - MUST: $ rpmlint /var/lib/mock/fedora-rawhide-x86_64/result/detox-*
3 packages and 0 specfiles checked; 0 errors, 0 warnings.
OK - MUST: named according to the Package Naming Guidelines
OK - MUST: spec file name matches the base package %{name}
OK - MUST: package meets the Packaging Guidelines
OK - MUST: Fedora approved license and meets the Licensing Guidelines (BSD)
OK - MUST: License field in spec file matches the actual license
FIX - MUST: license file not included in %doc: There is a LICENSE
OK - MUST: spec is in American English
OK - MUST: spec is legible
OK - MUST: sources match the upstream source by MD5 04f1bc8501cd40c21610ea3fee7a6fc5
OK - MUST: successfully compiles and builds into binary rpms on x86_64
N/A - MUST: If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch.
OK - MUST: all build dependencies are listed in BuildRequires.
N/A - MUST: handles locales properly with %find_lang
N/A - MUST: Every binary RPM package (or subpackage) which stores shared library files (not just symlinks) in any of the dynamic linker's default paths, must call ldconfig in %post and %postun.
OK - MUST: Package does not bundle copies of system libraries.
N/A - MUST: If the package is designed to be relocatable, the packager must state this fact in the request for review.
OK - MUST: owns all directories that it creates
OK - MUST: no duplicate files in the %files listing
OK - MUST: Permissions on files are set properly, includes %defattr(...)
OK - MUST: package has a %clean section, which contains rm -rf $RPM_BUILD_ROOT.
OK - MUST: consistently uses macros
OK - MUST: package contains code, or permissable content
N/A - MUST: Large documentation files should go in a -doc subpackage
OK - MUST: Files included as %doc do not affect the runtime of the application
N/A - MUST: Header files must be in a -devel package
N/A - MUST: Static libraries must be in a -static package
N/A - MUST: Packages containing pkgconfig(.pc) files must 'Requires: pkgconfig'.
N/A - MUST: If a package contains library files with a suffix, then library files that end in .so must go in a -devel package.
N/A - MUST: devel packages must require the base package using a fully versioned dependency
OK - MUST: The package does not contain any .la libtool archives.
N/A - MUST: Packages containing GUI applications must include a %{name}.desktop file.
OK - MUST: package does not own files or directories already owned by other packages.
OK - MUST: at the beginning of %install, the package runs rm -rf $RPM_BUILD_ROOT
OK - MUST: all filenames valid UTF-8


SHOULD Items:
OK - SHOULD: Source package includes license text(s) as a separate file.
N/A - SHOULD: The description and summary sections in the package spec file should contain translations for supported Non-English languages, if available.
OK - SHOULD: builds in mock.
OK - SHOULD: compiles and builds into binary rpms on all supported architectures.
OK - SHOULD: functions as described.
N/A - SHOULD: Scriptlets are used, those scriptlets must be sane.
N/A - SHOULD: Usually, subpackages other than devel should require the base package using a fully versioned dependency.
N/A - SHOULD: pkgconfig(.pc) files should be placed in a -devel pkg
OK - SHOULD: no file dependencies outside of /etc, /bin, /sbin, /usr/bin, or /usr/sbin


Other items:
OK - latest stable version
OK - SourceURL valid
OK - Compiler flags ok
OK - Debuginfo complete


Issues:
- add %doc CHANGES LICENSE README

- %{_usr}/share/%{name}: any reason not to use %{_datadir}/%{name} ?

- Add "INSTALL='install -p'" to make install

%doc %{_mandir}/man5/detox*
%doc %{_mandir}/man1/detox*
- rpmbuild automatically marks manpages as %doc (but it doesn't hurt to do it ether)


Fix these and consider the package APPROVED.

Comment 2 Sven Lankes 2010-03-16 22:47:02 UTC
Thanks.

I have fixed the issues in 

Spec URL: http://sven.lank.es/Fedora/SPECS/detox.spec
SRPM URL: http://sven.lank.es/Fedora/SRPM/detox-1.2.0-2.fc13.src.rpm

New Package CVS Request
=======================
Package Name: detox
Short Description: Utility to replace problematic characters in file names
Owners: slankes
Branches: F-12 F-13 EL-5

Comment 3 Kevin Fenzi 2010-03-17 18:20:32 UTC
CVS done (by process-cvs-requests.py).

Comment 4 Fedora Update System 2010-03-19 21:22:08 UTC
detox-1.2.0-2.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/detox-1.2.0-2.fc13

Comment 5 Fedora Update System 2010-03-23 02:05:00 UTC
detox-1.2.0-2.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update detox'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/detox-1.2.0-2.fc13

Comment 6 Fedora Update System 2010-04-09 21:05:42 UTC
detox-1.2.0-2.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.